type Mutation {
  createUpdateLaboratoire(id: ID, nomLabo: String!, suite: LaboratoireSuiteInput): Laboratoire
  updateLaboratoireSortie(id: ID!, sortie: Int): Laboratoire
  updatePhotoLaboratoire(id: ID!, photo: FichierInput): Laboratoire

  createUpdateLaboratoirePartenaire(input: LaboratoirePartenaireInput!): LaboratoirePartenaire
  softDeleteLaboratoirePartenaire(ids: [ID!]!): [LaboratoirePartenaire!]!

  createUpdateLaboratoireRepresentant(input: LaboratoireRepresentantInput!): LaboratoireRepresentant
  softDeleteLaboratoireRepresentants(ids: [ID!]!): [LaboratoireRepresentant]

  createUpdateLaboratoireRessource(input: LaboratoireRessourceInput!): LaboratoireRessource
  softDeleteLaboratoireRessources(ids: [ID!]!): [LaboratoireRessource]
}

type Query {
  laboratoires: [Laboratoire]
  laboratoire(id: ID!): Laboratoire
  laboratoirePartenaires: [LaboratoirePartenaire]
  laboratoirePartenaire(id: ID!): LaboratoirePartenaire
  getFicheLaboratoires(isRemoved: Boolean): [Laboratoire!]!
  laboratoireRepresentant(id: ID!): LaboratoireRepresentant
  laboratoireRessource(id: ID!): LaboratoireRessource
}

input LaboratoireSuiteInput {
  adresse: String
  codePostal: String
  telephone: String
  ville: String
  telecopie: String
  email: String
  webSiteUrl: String
}

type Laboratoire implements Searchable {
  type: String!
  id: ID!
  nomLabo: String
  sortie: Int
  laboSuite: LaboratoireSuite
  laboratoirePartenaire: LaboratoirePartenaire
  user: User
  photo: Fichier
  laboratoireRessources: [LaboratoireRessource]
  laboratoireRepresentants: [LaboratoireRepresentant]
  comments(skip: Int, first: Int): CommentResult
  countCanalArticles(codeCanal: String): Int
  actualites: [Actualite]
  actions(take: Int, skip: Int): ActionResult
  dateCreation: DateTime
  dateModification: DateTime
  idPharmacie: String
  prive: Boolean
}

type LaboratoireSuite {
  id: ID!
  nom: String
  adresse: String
  codePostal: String
  telephone: String
  ville: String
  telecopie: String
  email: String
  webSiteUrl: String
  dateCreation: DateTime
  dateModification: DateTime
}

type LaboratoirePartenaire {
  type: String!
  id: ID!
  debutPartenaire: DateTime
  finPartenaire: DateTime
  typePartenaire: TypePartenaire
  statutPartenaire: StatutPartenaire
  codeMaj: String
  dateCreation: DateTime
  dateModification: DateTime
  isRemoved: Boolean
}

input LaboratoirePartenaireInput {
  id: String
  debutPartenaire: DateTime
  finPartenaire: DateTime
  typePartenaire: TypePartenaire
  idLaboratoire: String!
  statutPartenaire: StatutPartenaire
  adresse: String
  codePostal: String
  ville: String
  Pays: String
  idPharmacie: String
  prive: Boolean
}

type LaboratoireRepresentant implements Searchable {
  type: String!
  id: ID!
  civilite: String
  nom: String
  prenom: String
  sexe: String
  fonction: String
  commentaire: String
  afficherComme: String
  codeMaj: String
  isRemoved: Boolean
  contact: Contact
  photo: Fichier
  laboratoire: Laboratoire
  userCreation: User
  userModification: User
  dateCreation: DateTime
  dateModification: DateTime
}

input LaboratoireRepresentantInput {
  id: ID
  idLaboratoire: ID!
  type: String
  photo: FichierInput
  civilite: String
  nom: String!
  prenom: String
  sexe: String
  fonction: String
  afficherComme: String
  contact: ContactInput
}

type LaboratoireRessource implements Searchable {
  type: String!
  id: ID!
  typeRessource: String
  item: Item
  code: String
  libelle: String
  codeMaj: String
  fichier: Fichier
  url: String
  laboratoire: Laboratoire
  groupement: Groupement
  dateChargement: DateTime
  isRemoved: Boolean
  dateCreation: DateTime
  dateModification: DateTime
}

input LaboratoireRessourceInput {
  id: ID
  idLaboratoire: ID
  typeRessource: String
  idItem: ID
  code: String!
  libelle: String!
  dateChargement: DateTime
  fichier: FichierInput
  url: String
}
